Package com.avaya.clientservices.common

## Enum CapabilityDenialReason

- java.lang.Object
- - java.lang.Enum<CapabilityDenialReason>
  - - com.avaya.clientservices.common.CapabilityDenialReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CapabilityDenialReason>`

      public enum CapabilityDenialReason
      extends java.lang.Enum<CapabilityDenialReason>

  Capability error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALL_HAS_NO_AUDIO` |
    `CALL_HAS_NO_VIDEO` |
    `CALL_IS_NOT_REMOTE` |
    `CALL_IS_REMOTE` |
    `CELLULAR_CALL_IN_PROGRESS` |
    `CONFERENCE_WAITING_ADMISSION` |
    `INSUFFICIENT_PERMISSION` |
    `INVALID_STATE` | Invalid state.
    `NETWORK_UNAVAILABLE` | Network is down.
    `NOT_DENIED` | Operation allowed.
    `NOT_LICENSED` |
    `NOT_SIGNED_IN` |
    `NOT_SUPPORTED` | Requested operation is not supported.
    `OPERATION_IN_PROGRESS` |
    `OTHER_OPERATION_IN_PROGRESS` |
    `REJECTED_BY_SERVER` |
    `WIFI_UNAVAILABLE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CapabilityDenialReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CapabilityDenialReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_DENIED

          public static final CapabilityDenialReason NOT_DENIED

      Operation allowed.

    - #### INSUFFICIENT_PERMISSION

          public static final CapabilityDenialReason INSUFFICIENT_PERMISSION

    - #### NOT_SIGNED_IN

          public static final CapabilityDenialReason NOT_SIGNED_IN

    - #### INVALID_STATE

          public static final CapabilityDenialReason INVALID_STATE

      Invalid state.

    - #### NOT_SUPPORTED

          public static final CapabilityDenialReason NOT_SUPPORTED

      Requested operation is not supported.

    - #### CALL_IS_REMOTE

          public static final CapabilityDenialReason CALL_IS_REMOTE

    - #### CALL_IS_NOT_REMOTE

          public static final CapabilityDenialReason CALL_IS_NOT_REMOTE

    - #### CALL_HAS_NO_AUDIO

          public static final CapabilityDenialReason CALL_HAS_NO_AUDIO

    - #### CALL_HAS_NO_VIDEO

          public static final CapabilityDenialReason CALL_HAS_NO_VIDEO

    - #### CELLULAR_CALL_IN_PROGRESS

          public static final CapabilityDenialReason CELLULAR_CALL_IN_PROGRESS

    - #### OPERATION_IN_PROGRESS

          public static final CapabilityDenialReason OPERATION_IN_PROGRESS

    - #### OTHER_OPERATION_IN_PROGRESS

          public static final CapabilityDenialReason OTHER_OPERATION_IN_PROGRESS

    - #### NOT_LICENSED

          public static final CapabilityDenialReason NOT_LICENSED

    - #### WIFI_UNAVAILABLE

          public static final CapabilityDenialReason WIFI_UNAVAILABLE

    - #### NETWORK_UNAVAILABLE

          public static final CapabilityDenialReason NETWORK_UNAVAILABLE

      Network is down.

    - #### CONFERENCE_WAITING_ADMISSION

          public static final CapabilityDenialReason CONFERENCE_WAITING_ADMISSION

    - #### REJECTED_BY_SERVER

          public static final CapabilityDenialReason REJECTED_BY_SERVER

  - ### Method Detail

    - #### values

          public static CapabilityDenialReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CapabilityDenialReason c : CapabilityDenialReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CapabilityDenialReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null